Bug 12109 - Authority subfield configuration page for controlled fields is broken
Summary: Authority subfield configuration page for controlled fields is broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-19 10:35 UTC by Katrin Fischer
Modified: 2015-12-03 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12109: Fix tab on the auth subfield configuration page (1.85 KB, patch)
2015-04-27 15:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12109: Fix tab on the auth subfield configuration page (1.93 KB, patch)
2015-04-29 06:32 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 12109: Fix tab on the auth subfield configuration page (2.00 KB, patch)
2015-04-29 21:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-04-19 10:35:45 UTC
To reproduce:

1) Go to Administration > Authority types
2) Open subfields configuration for one of the controlled fields
3) Verify that the new tab is not shown on top, but at the bottom of the page
Comment 1 Jonathan Druart 2015-04-27 15:25:06 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-04-29 06:32:54 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-29 21:33:06 UTC
Created attachment 38701 [details] [review]
[PASSED QA] Bug 12109: Fix tab on the auth subfield configuration page

There is a condition in the template to not display the "New" tab if the
user is editing a control field.
But it results in a broken template.
Looking at the biblio frameworks, the New tab exists even for control
fields.

This patch only fixes the html structure, but a complete fix should be
provide, for auth and biblio, if we want not to let the ability to
create subfields for control fields.

Test plan:
Edit subfields for a control field
(admin/marc_subfields_structure.pl?op=add_form&tagfield=001&frameworkcode= for instance)
and confirm that the view is now fixed.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

NOTE: Checked LDR, 001, and 008.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-05-18 15:15:06 UTC
Patch pushed to master.

Thanks Jonathan!